Skip to main content
POST
/
pe
/
sunat
/
taxpayers
/
lookup
/
v1
SUNAT Taxpayers Lookup
curl --request POST \
  --url https://api.croma.run/pe/sunat/taxpayers/lookup/v1 \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "document_number": "20100070970"
}
'
{
  "data": {
    "ruc": "<string>",
    "taxpayer_name": "<string>",
    "taxpayer_type": "<string>",
    "taxpayer_status": "<string>",
    "taxpayer_condition": "<string>",
    "fiscal_address": "<string>"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.croma.run/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Use Authorization: Bearer YOUR_API_KEY

Body

application/json
document_number
string
required

8-digit DNI or 11-digit RUC.

Pattern: ^\d{8,11}$

Response

Successful response

data
object
required